// -*- C++ -*-
/***************************************************************************
                           Aldo
                          --------------------
    begin                : Sun May 6 2001
    copyleft             : Giuseppe "denever" Martino
    email                : rdmartin@infinito.it
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *  You should have received a copy of the GNU General Public License      *
 *  along with this program; if not, write to the Free Software            *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA*
 *                                                                         *
 ***************************************************************************/

#include "resources.h"
#include "menu.h" // definition of class Menu

#include <string>
#include <locale.h>

using namespace libmenu;

Menu aldo_menu;

void OnQuickStart(); // defined in quickstart.cpp
void OnNewSpeed(); // defined in selectspeed.cpp
void OnSetup(); // defined in setup.cpp
void OnExit(); //defined in this file
void OnCheck(); // defined in check.cpp

int main()
{
    const id_type quickstart_id = 1;
    const id_type newspeed_id = 2;
    const id_type setup_id = 3;
    const id_type exit_id = 4;
    const id_type check_id = 5;

    setlocale(LC_ALL, "");
    bindtextdomain("aldo","/usr/share/locale");
    textdomain("aldo");

    aldo_menu.set_title(main_menu_title);
    aldo_menu.set_prompt(main_menu_prompt);

    aldo_menu.add_item(quickstart_id, main_menu_item1, OnQuickStart);
    aldo_menu.add_item(newspeed_id, main_menu_item2, OnNewSpeed);
    aldo_menu.add_item(setup_id, main_menu_item5, OnSetup);
    aldo_menu.add_item(exit_id, main_menu_item4, OnExit);

    while( aldo_menu.running() )
    {
	aldo_menu.show();

	if( !aldo_menu.find(check_id) )
	    if( (aldo_menu.last_selected() == quickstart_id) || (aldo_menu.last_selected() == newspeed_id) )
		aldo_menu.add_item_at(2, check_id, main_menu_item3, OnCheck);
    }
}

void OnExit()
{
    aldo_menu.close();
}
